Bug 1444136 - move NSS signtool to the unsupported tools in RHEL 7.6
Summary: move NSS signtool to the unsupported tools in RHEL 7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Ondrej Moriš
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1309781
Blocks: 1645231
TreeView+ depends on / blocked
 
Reported: 2017-04-20 16:02 UTC by Hubert Kario
Modified: 2019-08-06 13:08 UTC (History)
9 users (show)

Fixed In Version: nss-3.43.0-3.el7
Doc Type: Deprecated Functionality
Doc Text:
.`signtool` has been deprecated and moved to unsupported-tools The `signtool` tool from the `nss` packages, which uses insecure signature algorithms, has been deprecated. The signtool executable has been moved to the `/usr/lib64/nss/unsupported-tools/` or `/usr/lib/nss/unsupported-tools/` directory, depending on the platform.
Clone Of: 1309781
Environment:
Last Closed: 2019-08-06 13:08:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1345528 P3 NEW signtool is hardcoded to use a SHA1-based signature algorithm 2020-03-09 08:29:53 UTC
Red Hat Product Errata RHSA-2019:2237 None None None 2019-08-06 13:08:53 UTC

Description Hubert Kario 2017-04-20 16:02:58 UTC
Description of problem:
SHA1 was published in 1993 and is still in wide use today. However there are several weaknesses and the algorithms is considered today cryptographically broken (less effort than brute force is required). It is highly likely we will have collision attacks in the near future; i.e., forged certificates. For that it is recommended for our tools which deal with digital signatures to no longer use the SHA1 as a hash function by default.

For maximum compatibility with old software we recommend the SHA2-256 algorithm to be used as the default replacement.

As such, it is recommended for all of the included in NSS tools and shipped configuration files, to switch from SHA1 to SHA2-256 when generating certificates or digital signatures.

Comment 7 Kai Engert (:kaie) (inactive account) 2017-09-01 12:04:41 UTC
I suggest the following:

In RHEL 7.5, we announce in release notes that signtool is deprecated.
I've filed bug 1487613 for that purpose.

In RHEL 7.6, we'll move signtool to the unsupported directory.
I'm changing this bug to that purpose and target.

Comment 14 Simo Sorce 2019-02-11 15:41:39 UTC
This issue was not selected to be included either in Red Hat Enterprise Linux 7.7 because it is seen either as low or moderate impact to a small amount of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.

Comment 23 errata-xmlrpc 2019-08-06 13:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2237


Note You need to log in before you can comment on or make changes to this bug.